import { Functional } from '../../../../Class/Functional';
import { Done } from '../../../../Class/Functional/Done';
import { System } from '../../../../system';
export interface I {
    ms: number;
}
export interface O {
    ms: number;
}
export default class Timer extends Functional<I, O> {
    private _timer;
    constructor(system: System);
    f({ ms }: I, done: Done<O>): void;
    d(): void;
}
